org.opencv.text

## Class TextDetectorCNN

- java.lang.Object
- - org.opencv.text.TextDetector
  - - org.opencv.text.TextDetectorCNN

-     public class TextDetectorCNN
      extends TextDetector

  TextDetectorCNN class provides the functionallity of text bounding box detection. This class is representing to find bounding boxes of text words given an input image. This class uses OpenCV dnn module to load pre-trained model described in CITE: LiaoSBWL17. The original repository with the modified SSD Caffe version: https://github.com/MhLiao/TextBoxes. Model can be downloaded from [DropBox](https://www.dropbox.com/s/g8pjzv2de9gty8g/TextBoxes_icdar13.caffemodel?dl=0). Modified .prototxt file with the model description can be found in `opencv_contrib/modules/text/samples/textbox.prototxt`.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.text.TextDetector

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TextDetectorCNN(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextDetectorCNN` | `__fromPtr__(long addr)`
    `static TextDetectorCNN` | `create(String modelArchFilename, String modelWeightsFilename)`
    `void` | `detect(Mat inputImage, MatOfRect Bbox, MatOfFloat confidence)` Method that provides a quick and simple interface to detect text inside an image
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.text.TextDetector

      `getNativeObjAddr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextDetectorCNN

          protected TextDetectorCNN(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static TextDetectorCNN __fromPtr__(long addr)

    - #### create

          public static TextDetectorCNN create(String modelArchFilename,
                                               String modelWeightsFilename)

    - #### detect

          public void detect(Mat inputImage,
                             MatOfRect Bbox,
                             MatOfFloat confidence)

      Description copied from class: `TextDetector`
      Method that provides a quick and simple interface to detect text inside an image
      Overrides:
        `detect` in class `TextDetector`
      Parameters:
        `inputImage` - an image expected to be a CV_U8C3 of any size
        `Bbox` - a vector of Rect that will store the detected word bounding box
        `confidence` - a vector of float that will be updated with the confidence the classifier has for the selected bounding box

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `TextDetector`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7